com.jscape.inet.ssh.protocol.v2.authentication

## Class KeyboardInteractivePredefinedClientAuthentication

- java.lang.Object
- - AbstractKeyboardInteractiveClientAuthentication
  - - com.jscape.inet.ssh.protocol.v2.authentication.KeyboardInteractivePredefinedClientAuthentication

-     public class KeyboardInteractivePredefinedClientAuthentication
      extends AbstractKeyboardInteractiveClientAuthentication

  Represents a SSH 'keyboard-interactive' authentication operation which sends pre-defined responses.
  Author:
    Alex Usun

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyboardInteractivePredefinedClientAuthentication(MessageCodec.Factory codecFactory, java.lang.String username, java.util.List<java.lang.String> responses)` Creates a new operation instance.
    `KeyboardInteractivePredefinedClientAuthentication(MessageCodec.Factory codecFactory, java.lang.String username, java.lang.String... responses)` Creates a new operation instance.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeyboardInteractivePredefinedClientAuthentication` | `defaultAuthentication(java.lang.String username, java.util.List<java.lang.String> responses)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyboardInteractivePredefinedClientAuthentication

          public KeyboardInteractivePredefinedClientAuthentication(MessageCodec.Factory codecFactory,
                                                                   java.lang.String username,
                                                                   java.util.List<java.lang.String> responses)

      Creates a new operation instance.
      Parameters:
        `username` - an username
        `responses` - responses

    - #### KeyboardInteractivePredefinedClientAuthentication

          public KeyboardInteractivePredefinedClientAuthentication(MessageCodec.Factory codecFactory,
                                                                   java.lang.String username,
                                                                   java.lang.String... responses)

      Creates a new operation instance.
      Parameters:
        `username` - an username
        `responses` - responses

  - ### Method Detail

    - #### defaultAuthentication

          public static KeyboardInteractivePredefinedClientAuthentication defaultAuthentication(java.lang.String username,
                                                                                                java.util.List<java.lang.String> responses)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved